import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)
/**
 * Author: Nicolas Kammerdiener
 * Chapter 4
 * World: CrabWorld
 */

public class CrabWorld extends World
{
    /**
     * Create the crab world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public CrabWorld() 
    {
        super(560, 560, 1);
        populateWorld();
    }

    /**
     * This populates the world with 1 Crab, 3 Lobsters, and 10 worms.  
     */
    public void populateWorld()
    {
        addObject(new Crab(), 150, 100); 
        addObject(new Lobster(),Greenfoot.getRandomNumber(500),Greenfoot.getRandomNumber(500));

        for(int i=1;i<=10;i++)
        {
            addObject(new Worm(),Greenfoot.getRandomNumber(500), Greenfoot.getRandomNumber(500));
        }
    }

    public void addWorm()
    {
        //int totalActors=World.numberOfObjects();
        //int numWorms=totalActors-4;
        if (numberOfObjects()-4<10)
        {
            addObject(new Worm(),Greenfoot.getRandomNumber(500), Greenfoot.getRandomNumber(500));
        }
    }
}